> For the complete documentation index, see [llms.txt](https://circular-protocol.gitbook.io/standard-apis/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://circular-protocol.gitbook.io/standard-apis/api-docs/typescript/registerwallet.md).

# RegisterWallet

To create a new wallet, you need to initiate a new transaction. This registration process ensures that the wallet becomes recognized by all nodes operating on a specific blockchain where the wallet exists. Importantly, this registration transaction is entirely free and doesn't involve any associated transaction fees.

```typescript
Circular.RegisterWallet(Blockchain,
                                PrivateKey
                                );
```

This method exclusively uses the private key for signing the transaction and then discards it. Alternatively, you have the option to use the SendTransaction method, which eliminates the need to use the private key.&#x20;

Instead, you can directly utilize the signature, which can be obtained externally through an air-gap hardware wallet (refer to SendTransaction for details).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://circular-protocol.gitbook.io/standard-apis/api-docs/typescript/registerwallet.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
